package com.amazon.ads.ema.api.model;

import android.os.Parcel;
import android.os.Parcelable;

/**
 * CPU usage information
 */
public class CpuInfo implements Parcelable {
    public static final Creator<CpuInfo> CREATOR = new Creator<>() {
        @Override
        public CpuInfo createFromParcel(Parcel in) {
            return new CpuInfo(in);
        }

        @Override
        public CpuInfo[] newArray(int size) {
            return new CpuInfo[size];
        }
    };
    public float usagePercent;          // Overall CPU usage (0-100)

    public CpuInfo() {
    }

    protected CpuInfo(Parcel in) {
        usagePercent = in.readFloat();
    }

    @Override
    public void writeToParcel(Parcel dest, int flags) {
        dest.writeFloat(usagePercent);
    }

    @Override
    public int describeContents() {
        return 0;
    }
}
